commit:     647e257148c3298383434fedb231e194eff11c4e
Author:     Espen Henriksen <dev <AT> henriksen <DOT> is>
AuthorDate: Wed Oct  5 20:14:44 2016 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Sat Oct  8 07:19:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=647e2571

dev-util/wsta: New package

This adds a new package to the tree, wsta, the WebSocket transfer agent.
wsta is a CLI tool written in rust for interfacing with WebSockets.

Gentoo-Bug: https://bugs.gentoo.org/596288

Package-Manager: portage-2.3.0

 dev-util/wsta/Manifest          |  1 +
 dev-util/wsta/metadata.xml      | 23 +++++++++++++++++++++++
 dev-util/wsta/wsta-0.4.1.ebuild | 35 +++++++++++++++++++++++++++++++++++
 3 files changed, 59 insertions(+)

diff --git a/dev-util/wsta/Manifest b/dev-util/wsta/Manifest
new file mode 100644
index 00000000..1d5bfdd
--- /dev/null
+++ b/dev-util/wsta/Manifest
@@ -0,0 +1 @@
+DIST wsta-0.4.1.tar.gz 40143 SHA256 
0c031dbf490c98dbc5dab07f16945ba353cd3cd18780094aee17f4782ec0ea57 SHA512 
67e783c462a8621f70aa3688a131056b6b90d6c8137bfe3b4d68ed10ad1840e371554d54ba3d4a8a9fb569af200034b5cbf4ebd4ebadb2ab8d57b3e68b284e58
 WHIRLPOOL 
6cee5abd12e0f7d7006dbac13fc748d47ab07fb68474fd1aaf97e678536801c61abb545cd1187dd0ad34b7100692df4ee12e63dedcb2eaf628b564f82bdad320

diff --git a/dev-util/wsta/metadata.xml b/dev-util/wsta/metadata.xml
new file mode 100644
index 00000000..43c0901
--- /dev/null
+++ b/dev-util/wsta/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Espen H</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">esphen/wsta</remote-id>
+       </upstream>
+       <longdescription lang="en">
+       wsta is a CLI tool written in rust for interfacing with WebSockets. 
wsta has
+       the philosophy of being an easy tool to learn and thus gets out of your 
way
+       to let you work your UNIX magic directly on the WebSocket traffic. The 
way
+       wsta does this is to be as pipe-friendly as possible, letting you chain 
it
+       into complex pipelines or bash scripts as you see fit, or just keep it 
simple
+       and use it as is.
+       </longdescription>
+</pkgmetadata>

diff --git a/dev-util/wsta/wsta-0.4.1.ebuild b/dev-util/wsta/wsta-0.4.1.ebuild
new file mode 100644
index 00000000..2557c80
--- /dev/null
+++ b/dev-util/wsta/wsta-0.4.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cargo
+
+DESCRIPTION="A CLI development tool for WebSocket APIs"
+HOMEPAGE="https://github.com/esphen/wsta/";
+SRC_URI="https://github.com/esphen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-libs/openssl:*"
+DEPEND="${RDEPEND}
+       dev-util/cargo
+       "
+
+src_compile() {
+       cargo build --release || die "Compilation failed"
+}
+
+src_test() {
+       cargo test || die "Tests failed"
+}
+
+src_install() {
+       einstalldocs
+
+       dobin target/release/${PN}
+       doman ${PN}.1
+}

Reply via email to